package net.wanji.opt.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.common.framework.domain.TrackableEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 绿波历史数据
 * </p>
 *
 * @Author fengyi
 * @Date 2024-11-18
 */
@Data
@ApiModel(value="GreenwaveHist对象", description="绿波历史数据")
public class GreenwaveHist  extends TrackableEntity {

    private static final long serialVersionUID = 1L;



    @ApiModelProperty(value = "绿波编号")
    private Integer greenId;

    @ApiModelProperty(value = "协调方向 0正向 1反向 2双向")
    private int direction;

    @ApiModelProperty(value = "交通状态：1畅通；2缓行；3拥堵；4严重拥堵；5未知")
    private Integer status;

    @ApiModelProperty(value = "拥堵类型：1常规；2异常")
    private Integer type;

    @ApiModelProperty(value = "交通指数")
    private BigDecimal trafficIndex;

    @ApiModelProperty(value = "行程速度（km/h）")
    private BigDecimal speed;

    @ApiModelProperty(value = "行程时间（秒）")
    private Integer trvalTime;

    @ApiModelProperty(value = "停车次数")
    private BigDecimal stopTimes;

    @ApiModelProperty(value = "拥堵距离（米）")
    private BigDecimal queueLength;

    @ApiModelProperty(value = "拥堵比例")
    private BigDecimal congRate;

    @ApiModelProperty(value = "延误时间（秒）")
    private Integer delayTime;

    @ApiModelProperty(value = "不停车通过率")
    private BigDecimal noparkPassRate;

    @ApiModelProperty(value = "协调方案可靠性")
    private BigDecimal cordReliability;

    @ApiModelProperty(value = "协调路段排队空间占比")
    private BigDecimal cordQueueRatio;

    @ApiModelProperty(value = "非协调相位二次排队")
    private BigDecimal uncoordinatePhaseQueue;

    @ApiModelProperty(value = "开始时间：yyyy-MM-dd HH:mm:ss")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date startTime;

    @ApiModelProperty(value = "创建时间")
    private Date gmtCreate;

    @ApiModelProperty(value = "修改时间")
    private Date gmtModified;


    @ApiModelProperty(value = "绿波车流方向")
    private String roadDirection;


    @ApiModelProperty(value = "路口ID")
    private String crossId;


}
